Subject: Re: [EXT] Re: [PATCH v3 00/14] add ecspi ERR009165 for i.mx6/7 soc family

From: Robin Gong <[email-masked]>
Date: Fri, 17 May 2019 09:54:55 +0000

On 2019-05-13 at 09:31 +0000, Lucas Stach wrote:
> PS:
> >   Please get sdma firmware from below linux-firmware and copy it to
> > your
> > local rootfs /lib/firmware/imx/sdma.
> > https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fg
> > it.kernel.org%2Fpub%2Fscm%2Flinux%2Fkernel%2Fgit%2Ffirmware%2Flinux
> > -firmware.git%2Ftree%2Fimx%2Fsdma&amp;data=02%7C01%7Cyibin.gong%40n
> > xp.com%7C57eb30c03c9345e2c27e08d6d785cca3%7C686ea1d3bc2b4c6fa92cd99
> > c5c301635%7C0%7C0%7C636933366995692430&amp;sdata=wLKa2qwkIMlN%2BeeD
> > 4LOGE%2FtIFzvGKXyIhoZ4Fekr4vI%3D&amp;reserved=0
> This series is unfit for merging, as long as it depends on a SDMA RAM
> script that is known to break serial DMA. When can we expect to get a
> firmware version with the broken serial script removed out into the
> public?
Hi Lucas,
  I want to sent another patch for fixing UART failure on ram script
later after this ecspi patch set accepted. But now I'm still waiting
for ack from Vinod who is owner of dmaengine.
> 
> Regards,
> Lucas
> 
> > 
> > v2:
> >   1. add commit log for reverted patches.
> >   2. add comment for 'ecspi_fixed' in sdma driver.
> >   3. add 'fsl,imx6sll-ecspi' compatible instead of 'fsl,imx6ul-
> > ecspi'
> >      rather than remove.
> > v3:
> >   1. confirm with design team make sure ERR009165 fixed on
> > i.mx6ul/i.mx6ull
> >   /i.mx6sll, not fixed on i.mx8m/8mm and other i.mx6/7 legacy
> > chips.
> >   Correct dts related dts patch in v2.
> >   2. clean eratta information in binding doc and new
> > 'tx_glitch_fixed' flag
> >   in spi-imx driver to state ERR009165 fixed or not.
> >   3. Enlarge burst size to fifo size for tx since tx_wml set to 0
> > in the
> >   errata workaroud, thus improve performance as possible.
> > 
> > Robin Gong (14):
> >   Revert "ARM: dts: imx6q: Use correct SDMA script for SPI5 core"
> >   Revert "ARM: dts: imx6: Use correct SDMA script for SPI cores"
> >   Revert "dmaengine: imx-sdma: refine to load context only once"
> >   dmaengine: imx-sdma: remove dupilicated sdma_load_context
> >   dmaengine: imx-sdma: add mcu_2_ecspi script
> >   spi: imx: fix ERR009165
> >   spi: imx: remove ERR009165 workaround on i.mx6ul
> >   dt-bindings: spi: imx: add new i.mx6ul compatible name
> >   dmaengine: imx-sdma: remove ERR009165 on i.mx6ul
> >   dt-bindings: dma: imx-sdma: add i.mx6ul/6sx compatible name
> >   dmaengine: imx-sdma: fix ecspi1 rx dma not work on i.mx8mm
> >   ARM: dts: imx6ul: add dma support on ecspi
> >   ARM: dts: imx6sll: correct sdma compatible
> >   arm64: defconfig: Enable SDMA on i.mx8mq/8mm
> > 
> >  .../devicetree/bindings/dma/fsl-imx-sdma.txt       |  2 +
> >  .../devicetree/bindings/spi/fsl-imx-cspi.txt       |  1 +
> >  arch/arm/boot/dts/imx6q.dtsi                       |  2 +-
> >  arch/arm/boot/dts/imx6qdl.dtsi                     |  8 +--
> >  arch/arm/boot/dts/imx6sll.dtsi                     |  2 +-
> >  arch/arm/boot/dts/imx6ul.dtsi                      |  8 +++
> >  arch/arm64/configs/defconfig                       |  3 +
> >  drivers/dma/imx-sdma.c                             | 78
> > ++++++++++++++++------
> >  drivers/spi/spi-imx.c                              | 61
> > ++++++++++++++---
> >  include/linux/platform_data/dma-imx-sdma.h         |  1 +
> >  10 files changed, 132 insertions(+), 34 deletions(-)
> > 
> > --
> > 2.7.4
> > 
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel